Page MenuHomePhabricator

[XRay][profiler] Part 5: Profiler File Writing
ClosedPublic

Authored by dberris on Apr 23 2018, 10:22 PM.

Details

Summary

This is part of the larger XRay Profiling Mode effort.

This patch implements the profile writing mechanism, to allow profiles
collected through the profiler mode to be persisted to files.

Follow-on patches would allow us to load these profiles and start
converting/analysing them through the llvm-xray tool.

Depends on D44620.

Diff Detail

Event Timeline

dberris created this revision.Apr 23 2018, 10:22 PM
kpw accepted this revision.May 23 2018, 6:20 PM

LGTM, once the dependent changes get in.

compiler-rt/lib/xray/xray_profile_collector.cc
263 ↗(On Diff #143677)

Is this just needing to rebase?

compiler-rt/lib/xray/xray_profiler.cc
132 ↗(On Diff #143677)

I'd really like to see this written so that we can write somewhere other than files (in a follow up patch). Imho, we should build on an ostream so that this could be a network transport layer.

This revision is now accepted and ready to land.May 23 2018, 6:20 PM
This revision was automatically updated to reflect the committed changes.
Herald added a subscriber: Restricted Project. · View Herald TranscriptJun 11 2018, 9:11 PM